commit c3e6e5a073288d4adbb48e54fb2b7c0826c0e83e
parent 8d56c697fc86ede96f2e31ba5ad4a3a58f822e41
Author: Roberto E. Vargas Caballero <roberto@clue.aero>
Date: Mon, 12 Aug 2019 15:48:52 +0200
[scripts] Add host.sh
Add a host script that can execute romfw.elf with the
correct configuration of the tty and in the same
directory where the dummy block file is created.
The script also restore the correct configuration of
tty.
Change-Id: Ieedfba03eae763ca35c3172af74823ed38b55288
Diffstat:
2 files changed, 13 insertions(+), 0 deletions(-)
diff --git a/Makefile b/Makefile
@@ -22,6 +22,9 @@ gen: $(ENVIRON) FORCE
fvp:
scripts/fvp.sh
+host:
+ scripts/host.sh
+
$(DIRS): $(ENVIRON)
$(ENVIRON):
diff --git a/scripts/host.sh b/scripts/host.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+stty="`stty -g`"
+
+
+trap 'stty $stty' EXIT HUP INT TERM
+
+cd bin
+stty -echo raw min 1
+./romfw.elf